diff --git a/changelog b/changelog
index 46e3498..d03b4be 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100115 tpd src/axiom-website/patches.html 20100115.02.tpd.patch
+20100115 tpd src/input/dop.input rewrite using machineFraction
 20100115 tpd src/axiom-website/patches.html 20100115.01.tpd.patch
 20100115 tpd src/input/dfloat.input rewrite using machineFraction
 20100114 tpd src/axiom-website/patches.html 20100114.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d632b5c..4731b9e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2370,5 +2370,7 @@ src/input/unittest2.input fix credits function output<br/>
 src/input/numericgamma.input rewrite using machineFraction<br/>
 <a href="patches/20100115.01.tpd.patch">20100115.01.tpd.patch</a>
 src/input/dfloat.input rewrite using machineFraction<br/>
+<a href="patches/20100115.02.tpd.patch">20100115.02.tpd.patch</a>
+src/input/dop.input rewrite using machineFraction<br/>
  </body>
 </html>
diff --git a/src/input/dop.input.pamphlet b/src/input/dop.input.pamphlet
index 9af6027..da3977f 100644
--- a/src/input/dop.input.pamphlet
+++ b/src/input/dop.input.pamphlet
@@ -117,6 +117,9 @@
 --R
 --RExamples of nthFactor from OrderedFreeMonoid
 --R
+--Rm1:=(x*y*y*z)$OFMONOID(Symbol) 
+--RnthFactor(m1,2)
+--R
 --E 3
 
 --S 4 of 127
@@ -1731,6 +1734,8 @@
 --R
 --RExamples of ** from OrderedFreeMonoid
 --R
+--Rm1:=(y**3)$OFMONOID(Symbol)
+--R
 --R
 --RExamples of ** from Operator
 --R
@@ -2127,6 +2132,9 @@
 --R
 --RExamples of length from OrderedFreeMonoid
 --R
+--Rm1:=(x*y*y*z)$OFMONOID(Symbol) 
+--Rlength m1
+--R
 --R
 --RExamples of length from PoincareBirkhoffWittLyndonBasis
 --R
@@ -4011,6 +4019,11 @@
 --R
 --RExamples of coerce from PartialFraction
 --R
+--R(13/74)::PFR(INT)
+--R
+--Ra:=(13/74)::PFR(INT) 
+--Ra::FRAC(INT)
+--R
 --R
 --RExamples of coerce from PiCoercions
 --R
@@ -4910,6 +4923,12 @@
 --R
 --RExamples of * from OrderedFreeMonoid
 --R
+--Rm1:=(y**3)$OFMONOID(Symbol) 
+--Rm1*x
+--R
+--Rm1:=(x*y*y*z)$OFMONOID(Symbol) 
+--Rx*m1
+--R
 --R
 --RExamples of * from OutputForm
 --R
@@ -5496,6 +5515,9 @@
 --R
 --RExamples of factors from OrderedFreeMonoid
 --R
+--Rm1:=(x*y*y*z)$OFMONOID(Symbol) 
+--Rfactors m1
+--R
 --E 106
 
 --S 107 of 127
